function [ max_R1,max_R2,max_L1,max_L2] = Knee_Moment(Markers)

b = strfind(Markers.Labels,'LKneeMoment'); %vyhledání v Labels čísla sloupce, kde se nachází požadované hodnoty
for i=1:length(b) 
    if b{i}==1
        l=i*3-2 %nastavení nové proměnné, která indexuje číslo sloupce, kde se nachází požadované hodnoty (později v RawData, kde jsou vždy 3 sloupce-x,y,z -požadujeme sloupec x)
    end
end

d=length(Markers.RawData(:,1)); %spočítání délky sloupců
max_L1 = max(Markers.RawData(1:200*(d/d),l)); %vypočítání prvního maxima
max_L2 = max(Markers.RawData(200*(d/d):d/2,l)); %vypočítání druhého maxima      


a = strfind(Markers.Labels,'RKneeMoment'); %vyhledání v Labels čísla sloupce, kde se nachází požadované hodnoty
for i=1:length(a) 
    if a{i}==1
        r=i*3-2 %nastavení nové proměnné, která indexuje číslo sloupce, kde se nachází požadované hodnoty (později v RawData, kde jsou vždy 3 sloupce-x,y,z -požadujeme sloupec x)
    end        
end


max_R1 = max(Markers.RawData(1:200*(d/d),r)); %vypočítání prvního maxima
max_R2 = max(Markers.RawData(200*(d/d):d/2,r)); %vypočítání druhého maxima 
% vykreslení 2 grafů, popsání os
figure
subplot(2,1,1)
plot(Markers.RawData(:,l))
title('Left Knee Moment')
xlabel('Samples [N]')
ylabel('Moment [Nm/kg]')
hold on
subplot(2,1,2)
plot(Markers.RawData(:,r))
title('Right Knee Moment')
xlabel('Samples [N]')
ylabel('Moment [Nm/kg]')
%vypsání maxim
w=[max_L1,max_L2]
z=[max_R1,max_R2]

end

